#### SUBSYSTEM

#### Synopsis

    HELP:   Specification for FIO subsystem (only for z/OS)
    TYPE:   OBJECT
    SYNTAX: SUBSYSTEM(NAME='str',PARM['str'...])

#### Description

The subsystem definition object can be used to activate a subsystem on platforms like z/OS® where a subsystem can be used for file I/O.

To activate a subsystem, the name and a parameter list can be specified.

The name is a string (up to 4 characters on z/OS). The parameter list must be comma separated. Single quotes can be used to enclose parameter values. For example:

       SUBSYS(NAME='name' parm='keyword,keyword=value,"value,value",value')
       SUBSYS(NAME='FLAM' parm='IG10,TRACE,MODE=ADC,MAXR=2048')
       SUBSYS(NAME='LOGR' parm='IFBSEXIT,"DURATION=(0048,HOURS),VIEW=ACTIVE",DELETE')
       SUBSYS(NAME='LOGR' parm=',"VIEW=ACTIVE",')

Please don't use whitespace characters in the parameter list. The parameter list can be empty. This is the default if the 'PARM' keyword is not specified. Empty parameter values can be created by writing two commas. The default for the subsystem name is 'FLAM'. The example below

       SUBSYS()

activates the FLAM subsystem without any parameter. The subsystem name and parameter are converted to uppercase. To write a file through the subsystem, the file must already exist. The allocation of a new file is not possible.

#### Arguments

- `STRING: NAME='str' - Name of the subsystem`
- `STRING: PARM['str'...] - Parameter list for the subsystem (comma separated)`